package com.massa.mrules.droolsfight.beans;

import java.util.Date;
import java.util.Map;
import java.util.Set;


/**
 * Business data to be provided to rule engine.
 */
public class MeasureData {
	private Date startDate;
	private Date endDate;

	private String location;

	private Set<String> contacts;

	private int numberOfSamples;

	private String frequency;

	private Map<String, SampleData> sampleData;

	public Date getStartDate() {
		return this.startDate;
	}
	public void setStartDate(final Date startDate) {
		this.startDate = startDate;
	}
	public Date getEndDate() {
		return this.endDate;
	}
	public void setEndDate(final Date endDate) {
		this.endDate = endDate;
	}
	public String getLocation() {
		return this.location;
	}
	public void setLocation(final String location) {
		this.location = location;
	}
	public Set<String> getContacts() {
		return this.contacts;
	}
	public void setContacts(final Set<String> contacts) {
		this.contacts = contacts;
	}
	public int getNumberOfSamples() {
		return this.numberOfSamples;
	}
	public void setNumberOfSamples(final int numberOfSample) {
		this.numberOfSamples = numberOfSample;
	}
	public Map<String, SampleData> getSampleData() {
		return this.sampleData;
	}
	public void setSampleData(final Map<String, SampleData> sampleData) {
		this.sampleData = sampleData;
	}
	public String getFrequency() {
		return this.frequency;
	}
	public void setFrequency(final String frequency) {
		this.frequency = frequency;
	}
}
