package com.massa.mrules.droolsfight.tests.java;

import com.massa.mrules.droolsfight.beans.MeasureBean;
import com.massa.mrules.droolsfight.beans.MeasureError;

public class RuleLocationOk implements IRule {

	@Override
	public void test(MeasureBean data) {
		if (data.getMeasure().getLocation() == null || data.getMeasure().getLocation().trim().isEmpty()) {
			data.addError(new MeasureError("LocationOk", "Location is not present.", true));
		}
	}
}
